GrailsAetherCoreDependencies (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class GrailsAetherCoreDependencies

    java.lang.Object
      org.codehaus.groovy.grails.resolve.GrailsCoreDependencies
          org.codehaus.groovy.grails.resolve.maven.aether.config.GrailsAetherCoreDependencies

    @groovy.transform.CompileStatic
    class GrailsAetherCoreDependencies
    extends GrailsCoreDependencies

Adapts Grails' dependencies to Aether dependencies

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class GrailsCoreDependencies
buildDependencies, compileDependencies, docDependencies, grailsVersion, groovyVersion, h2Version, java5compatible, jaxbVersion, log4jVersion, providedDependencies, runtimeDependencies, servletApiVersion, servletVersion, spockVersion, testDependencies

Property Summary
`org.eclipse.aether.util.graph.selector.ExclusionDependencySelector` | `exclusionDependencySelector`

Constructor Summary
`GrailsAetherCoreDependencies(java.lang.String grailsVersion)`
`GrailsAetherCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)`

Method Summary
`groovy.lang.Closure` | `createDeclaration()` Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails.
`void` | `registerDependencies(DependenciesConfiguration configuration, java.lang.String scope, java.util.Collection dependencies)`

Methods inherited from class GrailsCoreDependencies
getBuildDependencies, getBuildDependencyPatterns, getCompileDependencies, getDocDependencies, getGrailsVersion, getProvidedDependencies, getRuntimeDependencies, getTestDependencies, isJava5compatible, setJava5compatible

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### exclusionDependencySelector

    org.eclipse.aether.util.graph.selector.ExclusionDependencySelector exclusionDependencySelector

Constructor Detail

### GrailsAetherCoreDependencies

    GrailsAetherCoreDependencies(java.lang.String grailsVersion)

### GrailsAetherCoreDependencies

    GrailsAetherCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)

Method Detail

### createDeclaration

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    groovy.lang.Closure createDeclaration()

  Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails. This method is used internally and should not be called in user code.

### registerDependencies

    void registerDependencies(DependenciesConfiguration configuration, java.lang.String scope, java.util.Collection dependencies)

Groovy Documentation